body {
  background-color: var(--extra-main-color);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif !important;
}

.navbar {
  height: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: transparent;
}

.navbar-nav {
  padding-right: 25px;
}

.small-navbar {
  border-radius: 25px;
  background-color: var(--primary-color-contrast);
  border: 1px solid var(--primary-color);
  font-weight: 600;
}

.app-name {
  font-family: "Corinthia", cursive;
  font-optical-sizing: auto;
  font-size: 32px;
  font-weight: bolder;
  color: var(--primary-color);
}

.small-navbar .nav-link {
  color: var(--primary-color) !important;
  font-size: 18px;
  padding: 10px 25px;
}

.nav-link:hover {
  color: var(--primary-color) !important;
  /* Keep it white on hover */
}

.nav-link.show {
  color: var(--primary-color) !important;
}

.nav-link {
  position: relative;
  color: var(--primary-color);
  font-weight: 500;
}

.small-navbar-nav::after {
  content: '';
  position: absolute;
  bottom: 6px;
  left: 0;
  height: 2px;
  width: 0;
  background: linear-gradient(145deg, #3e2c7d, #6a1a83, #2f195f);
  transition: width 0.8s ease;
}

.small-navbar-nav:hover::after,
.small-navbar-nav.active-link::after {
  width: 100%;
}

.menu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: #000;
  display: none;
  z-index: 999;
  color: var(--fourtiary-color);
  animation: fadeIn 0.4s ease forwards;
}

.menu-overlay.show {
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
  font-size: 32px;
  animation: slideUp 0.5s ease forwards;
}

.menu-content a {
  text-decoration: none;
  color: var(--fourtiary-color);
  position: relative;
}

.menu-content a::after {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 0%;
  height: 3px;
  background: linear-gradient(90deg, #007cf0, #00dfd8);
  transition: 0.3s;
}

.menu-content a:hover::after {
  width: 100%;
}

/* to make the content equal distance */

.list-unstyled {
  display: inline;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  margin-top: 20px;
  padding-top: 10px;
}

.what-we-do-section {
  padding: 5px 18px 0 10px;
}

.what-we-do-section h6 {
  text-transform: uppercase;
  margin-top: 5px;
  margin-bottom: 5px;
  padding-bottom: 0.5rem;
  /* equivalent to Bootstrap's pb-2 */
  border-bottom: 1px solid #000;
  /* you can adjust color/thickness */
  font-weight: 600;
  /* since you're using <b> inside */
}

.list-unstyled li {
  margin: 17px 3px 14px 8px;
}

.list-unstyled li a {
  font-weight: 500;
}

.list-unstyled li img {
  margin-right: 8px;
}

.list-unstyled li:hover {
  background-color: #b156d5;
  border-radius: 5px;
  width: 96%;
  border: 1px solid #7e4195;
}

.list-unstyled li:hover a {
  color: var(--fourtiary-color) !important;
  font-weight: 600;
}

.list-unstyled li:hover img {
  filter: invert(1);
  margin-right: 3px;
  margin-left: 5px;
  padding-left: 2px;
  font-weight: 600;
}


.dropdown-link {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  color: var(--primary-color);
  text-decoration: none;
  font-size: 14px !important;
}

.dropdown-link img {
  padding: 5px 5px 5px 0;
  width: 35px;
  height: auto;
}

.close-btn {
  position: absolute;
  top: 30px;
  right: 40px;
  font-size: 40px;
  cursor: pointer;
  color: white;
}

.mega-dropdown {
  width: 80%;
  left: 20%;
  border-radius: 30px 30px 0 0;
  background-color: var(--fourtiary-color);
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.1);
  z-index: 1;
  padding: 30px 0 0;
  display: none;
  color: #000 !important;
  position: absolute !important;
  margin-top: 5px;
}

/* Inner container for alignment */
.mega-dropdown>.row {
  width: 100%;
  margin: 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  /* border: 5px solid var(--fourtiary-color); */
}

.mega-dropdown-header {
  background-color: #eaeaea;
  margin-bottom: 0 !important;
  padding: 16px 0 11px 20px;
  font-weight: 600;
  font-size: 20px;
}

.side-card {
  background-color: var(--tertiary-color);
  color: var(--primary-color);
}

.side-card-text {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.4;
  text-align: center;
}

/* Show dropdown on hover */
.nav-item.dropdown:hover .mega-dropdown {
  display: block;
}

.hero-text-wrapper {
  position: relative;
  max-width: 1120px;
  margin: auto;
  color: var(--primary-color-contrast);
  font-family: "Poppins", sans-serif;
}

.hero-text-set {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  pointer-events: none;
}

.hero-text-set.active {
  opacity: 1;
  position: relative;
  pointer-events: auto;
}

.hero-text-set h1 {
  font-size: 66px;
  font-weight: 800;
  line-height: 1.2;
  margin-bottom: 20px;
  letter-spacing: 1.5px;
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 1s ease forwards;
}

.hero-text-set h2 {
  font-size: 20px;
  font-weight: 400;
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 1s ease forwards;
}

.hero-text-set h2.line2 {
  animation-delay: 1.2s;
}

.hero-text-set h2.line3 {
  animation-delay: 2.4s;
}

.about-us {
  background: linear-gradient(135deg, #d7c420, #a02ca1);
  color: #fff;
  margin: 0px 362px 27px 0px;
  padding: 4px 24px 4px 28px;
  font-size: 26px;
  font-weight: 800;
  border-radius: 30px;
}

.know-btn {
  display: inline-block;
  padding: 10px 32px;
  background-color: var(--highlight-color);
  color: #fff;
  border-radius: 30px;
  font-size: 18px;
  font-weight: 600;
  border: none;
  transition: all 0.3s ease;
  text-decoration: none;
  z-index: 111;
}

.know-btn:hover {
  transform: translateY(-2px);
  background-color: var(--secondary-color);
}

@keyframes fadeInUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@media (max-width: 991px) {
  .hero-text-wrapper {
    padding: 0 12px 0;
    text-align: center;
  }

  .about-us {
    margin: 10px 212px 16px 0;
    padding: 8px 24px;
    font-size: 18px;
  }

  .hero-text-set h1 {
    font-size: 36px;
    text-align: center;
  }

  .hero-text-set h2 {
    font-size: 16px;
    text-align: center;
  }

  .know-more-btn {
    font-size: 16px;
    padding: 8px 18px;
    margin: 16px auto 0;
    display: inline-block;
  }

  .hero-text-set img {
    max-width: 60%;
  }

  .navbar {
    width: 100%;
    height: 60px;
    position: fixed;
    top: 0;
    background-color: rgba(0, 0, 40, 0.9);
    z-index: 111;
    border-bottom: 1px solid var(--primary-color-contrast);
  }

  .navbar-brand {
    color: var(--fourtiary-color);
    font-family: 'Lobster', cursive;
  }

  .navbar-toggler i {
    color: var(--primary-color-contrast);
    font-size: 30px;
  }

  .accordion-button:not(.collapsed)::after {
    background-image: url(../icons/bxs-chevron-right.svg) !important;
    transform: rotate(-90deg)
  }

  .no-chevron::after {
    display: none !important;
  }

  .accordion-body {
    padding-top: 0;
  }

}

.navbar-toggler {
  border: none;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.offcanvas {
  background-color: var(--primary-color);
}

.offcanvas .offcanvas-close-btn {
  color: var(--primary-color-contrast);
  background-color: transparent;
  border: none;
  padding: 0;
  margin: 0;
  font-size: 30px;
}

.offcanvas-header {
  justify-content: space-between;
}

.accordion-button,
.accordion-item {
  background-color: transparent;
  color: #fff;
}

.accordion-body li {
  background-color: transparent;
  color: #fff;
  border: none !important;
  padding: 10px 0;
}

.accordion-body li a {
  color: var(--fourtiary-color);
  text-decoration: none !important;
}

.accordion-button::after {
  background-image: url(../icons/bxs-chevron-right.svg);
}

.accordion-button:not(.collapsed) {
  background-color: transparent !important;
  color: #fff !important;
  box-shadow: none;
}

.accordion-button:focus {
  box-shadow: none;
}